Get project flag settings
GET
https://api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/settingsRetrieve feature flag settings for a project.
https://api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/settings
const response = await fetch('https://api.vercel.com/v1/projects/projectIdOrName/feature-flags/settings?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "typeName": "settings", "projectId": "example_id", "ownerId": "example_id", "enabled": "false", "environments": [], "entities": [ { "kind": "string", "label": "string", "attributes": [ { "key": "string", "type": "string", "labels": [ { "label": "string", "value": "string" } ] } ] } ], "createdAt": "123", "updatedAt": "123", "metadata": { "activeFlagCount": "123", "archivedFlagCount": "123", "segmentCount": "123", "packSizeInBytes": "123", "packRevision": "123", "configUpdatedAt": "123" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error